#
# spec file for package lzfse
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           lzfse
Version:        0.0+git.20160620
Release:        3.1
Summary:        Reference C implementation of the LZFSE compressor
License:        BSD-3-Clause
Group:          Productivity/Archiving/Compression
Url:            https://github.com/lzfse/lzfse
Source:         %{name}-%{version}.tar.xz
BuildRequires:  xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
LZFSE is a Lempel-Ziv style data compression algorithm using Finite State
Entropy coding. It targets similar compression rates at higher compression
and decompression speed compared to deflate using zlib.

%prep
%setup -q

%build
make %{?_smp_mflags} CC="cc %{optflags}"

%install
make install INSTALL_PREFIX=%{buildroot}%{_prefix}
# we don't want to ship any static libraries or orphaned .h files
find %{buildroot} -type f \( -name '*.a' -o -name '*.h' \) -delete -print

%files
%defattr(-,root,root)
%doc LICENSE README.md
%{_bindir}/lzfse

%changelog
* Mon Jul 11 2016 mpluskal@suse.com
- Update to version 0.0+git.20160620:
  * Allow LZVN to work with inputs shorter than 8 bytes.
  * Converted readme to markdown, added some further information and fixed description of two files being mixed up
  * lzfse_fse.h: correctly detect 64-bit stream for debug macro
  * typo
  * Fix fse_normalize_freq() when passed alphabet with no used symbols
  * reformatted LICENSE
  * merged nemequ changes; fixed end of stream reservation size in LZVN partial encoder; fixed Xcode project with updated README.md file
* Mon Jul 11 2016 mpluskal@suse.com
- Initial package for version 0.0
